deque.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <deque> More...

`#include "cereal/cereal.hpp"`
`#include <deque>`

Go to the source code of this file.

## Functions

template<class Archive , class T , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::deque< T, A > const &deque)
| Saving for std::deque.
template<class Archive , class T , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::deque< T, A > &deque)
| Loading for std::deque.

## Detailed Description

Support for types found in <deque>